# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from jumbo.db.models import StatusField, HTMLField
from jumbo.apps.i18n.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Language'
        db.create_table('i18n_language', (
            ('country', models.CharField(max_length=20, verbose_name=_('country'))),
            ('nationality', models.CharField(max_length=20, verbose_name=_('nationality'))),
            ('code', models.CharField(max_length=2, verbose_name=_('iso code language'))),
            ('id', models.AutoField(primary_key=True)),
            ('name', models.CharField(max_length=20, verbose_name=_('full name'))),
        ))
        db.send_create_signal('i18n', ['Language'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Language'
        db.delete_table('i18n_language')
        
    
    
    models = {
        'i18n.language': {
            'Meta': {'ordering': "('name',)"},
            'code': ('models.CharField', [], {'max_length': '2', 'verbose_name': "_('iso code language')"}),
            'country': ('models.CharField', [], {'max_length': '20', 'verbose_name': "_('country')"}),
            'id': ('models.AutoField', [], {'primary_key': 'True'}),
            'name': ('models.CharField', [], {'max_length': '20', 'verbose_name': "_('full name')"}),
            'nationality': ('models.CharField', [], {'max_length': '20', 'verbose_name': "_('nationality')"})
        }
    }
    
    complete_apps = ['i18n']
