from django.conf.urls.defaults import *
from django.views.generic.simple import redirect_to
from jumbo.forms.sites import jumbo_site
from jumbo.apps.project.models import Project

urlpatterns = patterns('jumbo.apps.project.views',
    url(r'^$',                                                  'project_list'),
    url(r'^project/$',                                          'project_list',
                                                                name='project-project-list'),
    url(r'^project/add/$',                                      'project_view',
                                                                name='project-project-add'),
    url(r'^project/(?P<project_id>\d+)/$',                      'project_view',
                                                                name='project-project-edit'),
    url(r'^project/total_invoicerows/(?P<project_id>\d+)/$',    'total_invoicerows',
                                                                name='project-project-total_invoicerows'),
)

