from jumbo.conf.settings import *

#MIDDLEWARE_CLASSES_ORIGINAL = list(MIDDLEWARE_CLASSES)
MIDDLEWARE_CLASSES = MIDDLEWARE_CLASSES[:2] + ('cms.middleware.multilingual.MultilingualURLMiddleware',) + \
                     MIDDLEWARE_CLASSES[3:] + (
                    'cms.middleware.page.CurrentPageMiddleware',
                    'cms.middleware.user.CurrentUserMiddleware',
                    'cms.middleware.toolbar.ToolbarMiddleware',
                    'cms.middleware.media.PlaceholderMediaMiddleware'
)


INSTALLED_APPS += (
    'cms',
    'cms.plugins.text',
    'cms.plugins.picture',
    'cms.plugins.link',
    'cms.plugins.file',
    'cms.plugins.flash',
    'cms.plugins.snippet',
    'cms.plugins.googlemap',
    'menus',
    'mptt',
    'publisher',
    'sorl.thumbnail',
    'tinymce',
    'filebrowser',
    'registration' # Attivando il cms attivo anche la parte di registrazione
)

TEMPLATE_CONTEXT_PROCESSORS += (
    'cms.context_processors.media',
)

#CMS_LANGUAGES = (
#    ('it', ugettext('Italian')),
#    ('en', ugettext('English')),
#)

CMS_TEMPLATES = (
    ('base.html', ugettext('Contenuto Centrale')),
)

CMS_MENU_TITLE_OVERWRITE = True
CMS_SEO_FIELDS           = True

FILEBROWSER_URL_FILEBROWSER_MEDIA = MEDIA_URL + 'filebrowser/'

CMS_PAGE_MEDIA_PATH = 'flash/'

# DJANGO-REGISTRATION SETTINGS
ACCOUNT_ACTIVATION_DAYS = 7 # One-week activation window; you may, of course, use a different value.