import os
from django.core.management.base import NoArgsCommand
from django.core.management import call_command

from django.conf import settings

APPLICATIONS = settings.INSTALLED_APPS

class Command(NoArgsCommand):
    help = "(Re)create and initialize database with common data"

    def handle_noargs(self, **options):
        #answer = raw_input("Sei sicuro di voler cancellare il database %s sull'host %s (si/no) : " % (settings.DATABASE_NAME, settings.DATABASE_HOST or 'localhost',))
        answer = raw_input("Vuoi resettare il db %s su %s? (si/no): " % (settings.DATABASE_NAME, settings.DATABASE_HOST or 'localhost',))

        if answer == 'si':
            call_command('resetdb')

        #call_command('syncdb', interactive=False)
        #call_command('migrate', '--fake')
        os.system("python manage.py syncdb --all --noinput")
        os.system("python manage.py createsuperuser --username=admin --email=support@thundersystems.it")
        os.system("python manage.py migrate --fake")
        # ???
        #call_command('create_menu')

        call_command('load_default_fixtures')

