# -*- coding: utf-8 -*-

from django import template

register = template.Library()

def get_range(count, args="1,1"):
    s = args.split(",")
    if len(s) == 2:
        start = int(s[0])
        step = int(s[1])
    else:
        start = int(s[0])
        step = 1
    return range(start, count, step)
register.filter("range", get_range)

def get_range0(count, step=1):
    return range(0, count, step)
register.filter("range0", get_range0)