from django.contrib import messages

from dajax.core import Dajax
from dajaxice.core import dajaxice_functions

from jumbo.shortcuts import render_to_response, render_to_string

from jumbo.apps.provinceitaliane.models import Region, Province

def get_province_italiane(request, regione_id):
    dajax = Dajax()
    option = "<option value=''></option>"
    if not regione_id:
        dajax.assign('#id_provincia', 'innerHTML', option)
        return dajax.json()

    option = ""
    p = Province.objects.filter(region__id=regione_id)
    for i, provincia in enumerate(p):
        selected = ""
        if i == 0:
            selected = " selected"
        option += "<option value='%s'%s>%s</option>" % (provincia.id, selected, provincia.name)

    ua = request.META['HTTP_USER_AGENT']
    if ua.find('MSIE') > 0 or ua.find('msie') > 0:
        option = '<select name="provincia" id="id_provincia">%s</select>' % option
        dajax.assign('#MSIE', 'innerHTML', option)
    else:
        dajax.assign('#id_provincia','innerHTML',option)

    return dajax.json()
dajaxice_functions.register(get_province_italiane)
