# -*- coding: utf-8 -*-

from south.db import db
from jumbo.db import HackForeignKey
from django.db import models
from jumbo.apps.template.models import *
from jumbo.db.models import StatusField, HTMLField

def _get_default_country():
    pass

class Migration:
    
    def forwards(self, orm):
        
        # Adding field 'Template.meta_description'
        db.add_column('template_template', 'meta_description', orm['template.template:meta_description'])
        
        # Adding field 'TemplateTranslation.meta_keywords'
        db.add_column('template_templatetranslation', 'meta_keywords', orm['template.templatetranslation:meta_keywords'])
        
        # Adding field 'TemplateTranslation.meta_description'
        db.add_column('template_templatetranslation', 'meta_description', orm['template.templatetranslation:meta_description'])
        
        # Adding field 'Template.meta_keywords'
        db.add_column('template_template', 'meta_keywords', orm['template.template:meta_keywords'])
        
        # Changing field 'Template.description'
        # (to signature: django.db.models.fields.CharField(max_length=255, null=True, blank=True))
        db.alter_column('template_template', 'description', orm['template.template:description'])
        
        # Changing field 'Template.default'
        # (to signature: HTMLField(null=True, blank=True))
        db.alter_column('template_template', 'default', orm['template.template:default'])
        
        # Changing field 'Template.active'
        # (to signature: django.db.models.fields.BooleanField(blank=True))
        db.alter_column('template_template', 'active', orm['template.template:active'])
        
        # Changing field 'Template.name'
        # (to signature: django.db.models.fields.CharField(max_length=50))
        db.alter_column('template_template', 'name', orm['template.template:name'])
        
        # Changing field 'TemplateTranslation.text'
        # (to signature: HTMLField(null=True, blank=True))
        db.alter_column('template_templatetranslation', 'text', orm['template.templatetranslation:text'])
        
        # Changing field 'TemplateTranslation.language'
        # (to signature: models.ForeignKey(orm['i18n.Language']))
        db.alter_column('template_templatetranslation', 'language_id', orm['template.templatetranslation:language'])
        
        # Changing field 'TemplateTranslation.template'
        # (to signature: models.ForeignKey(orm['template.Template']))
        db.alter_column('template_templatetranslation', 'template_id', orm['template.templatetranslation:template'])
        
    
    
    def backwards(self, orm):
        
        # Deleting field 'Template.meta_description'
        db.delete_column('template_template', 'meta_description')
        
        # Deleting field 'TemplateTranslation.meta_keywords'
        db.delete_column('template_templatetranslation', 'meta_keywords')
        
        # Deleting field 'TemplateTranslation.meta_description'
        db.delete_column('template_templatetranslation', 'meta_description')
        
        # Deleting field 'Template.meta_keywords'
        db.delete_column('template_template', 'meta_keywords')
        
        # Changing field 'Template.description'
        # (to signature: models.CharField(null=True, max_length=255, blank=True))
        db.alter_column('template_template', 'description', orm['template.template:description'])
        
        # Changing field 'Template.default'
        # (to signature: HTMLField(null=True, blank=True))
        db.alter_column('template_template', 'default', orm['template.template:default'])
        
        # Changing field 'Template.active'
        # (to signature: models.BooleanField())
        db.alter_column('template_template', 'active', orm['template.template:active'])
        
        # Changing field 'Template.name'
        # (to signature: models.CharField(max_length=50))
        db.alter_column('template_template', 'name', orm['template.template:name'])
        
        # Changing field 'TemplateTranslation.text'
        # (to signature: HTMLField(null=True, blank=True))
        db.alter_column('template_templatetranslation', 'text', orm['template.templatetranslation:text'])
        
        # Changing field 'TemplateTranslation.language'
        # (to signature: models.ForeignKey(orm['i18n.Language']))
        db.alter_column('template_templatetranslation', 'language_id', orm['template.templatetranslation:language'])
        
        # Changing field 'TemplateTranslation.template'
        # (to signature: models.ForeignKey(orm.Template))
        db.alter_column('template_templatetranslation', 'template_id', orm['template.templatetranslation:template'])
        
    
    
    models = {
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)"},
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
        },
        'i18n.language': {
            'code': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'nationality': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        'template.template': {
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'default': ('HTMLField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'meta_description': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'meta_keywords': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'template.templatetranslation': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('models.ForeignKey', ["orm['i18n.Language']"], {}),
            'meta_description': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'meta_keywords': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'template': ('models.ForeignKey', ["orm['template.Template']"], {'related_name': "'translations'"}),
            'text': ('HTMLField', [], {'null': 'True', 'blank': 'True'})
        }
    }
    
    complete_apps = ['template']
