import os
from django.core.management.base import NoArgsCommand
from django.core.management import call_command

from django.conf import settings

APPLICATIONS = settings.INSTALLED_APPS

class Command(NoArgsCommand):
    help = "Pull -u jumbo-* site-packages from hg"

    def handle_noargs(self, **options):
        from manage import SITE_PACKAGES
        for pkg in os.listdir(SITE_PACKAGES):
            if 'jumbo-' in pkg:
                os.system('cd %s; hg pull -u' % os.path.join(SITE_PACKAGES, pkg))


